com.microfocus.zserver.zexplorer.ui

## Class VisibleCommandSender

- java.lang.Object
- - com.microfocus.zserver.zexplorer.ui.VisibleCommandSender

-     public class VisibleCommandSender
      extends java.lang.Object

  Wraps common methods of `ZServerCommandSender` and displays `ProgressMonitorDialog`s while running them.
  Author:
    Micro Focus

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VisibleCommandSender()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.io.InputStream` | `callIfProcedure(ZServerCommandSender pCommandSender, java.lang.String pProcedure, java.lang.String pParameter)`
    `static java.io.InputStream` | `callProcedure(ZServerCommandSender pCommandSender, java.lang.String pProcedure, java.lang.String pParameter)`
    `static IGetDataResponse` | `getConents(ISystemImage pImg, boolean pExclusive, ERecallMethod pRecall, java.lang.String pFileName)`
    `static java.io.InputStream` | `sendCommandToScheduler(ISystemImage pImg, java.lang.String pParameter, boolean pIncludeSchedulerTag)`
    `static java.io.InputStream` | `sendCommandToScheduler(ZServerCommandSender pCommandSender, byte[] pBytes, boolean pIncludeHeader)` Runs `ZServerCommandSender#sendCommandToScheduler(byte[], boolean, IProgressMonitor)` in a progress monitor dialog.
    `static void` | `setContents(ISystemImage pImg, java.lang.String pDsn, java.io.InputStream pIs)`
    `static void` | `unlock(ISavableResource pRes)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VisibleCommandSender

          public VisibleCommandSender()

  - ### Method Detail

    - #### sendCommandToScheduler

          public static java.io.InputStream sendCommandToScheduler(ZServerCommandSender pCommandSender,
                                                                   byte[] pBytes,
                                                                   boolean pIncludeHeader)
                                                            throws java.io.IOException

      Runs `ZServerCommandSender#sendCommandToScheduler(byte[], boolean, IProgressMonitor)` in a progress monitor dialog.
      Parameters:
        `pCommandSender` - the command sender
        `pBytes` - the array of bytes to be sent to the scheduler
        `pIncludeHeader` - whether a default header should be included.
      Returns:
        the response from the TSO scheduler
      Throws:
        `java.io.IOException` - if the connection to the zServer could not be established or if the message could not be sent

    - #### callProcedure

          public static java.io.InputStream callProcedure(ZServerCommandSender pCommandSender,
                                                          java.lang.String pProcedure,
                                                          java.lang.String pParameter)
                                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### callIfProcedure

          public static java.io.InputStream callIfProcedure(ZServerCommandSender pCommandSender,
                                                            java.lang.String pProcedure,
                                                            java.lang.String pParameter)
                                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### sendCommandToScheduler

          public static java.io.InputStream sendCommandToScheduler(ISystemImage pImg,
                                                                   java.lang.String pParameter,
                                                                   boolean pIncludeSchedulerTag)
                                                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getConents

          public static IGetDataResponse getConents(ISystemImage pImg,
                                                    boolean pExclusive,
                                                    ERecallMethod pRecall,
                                                    java.lang.String pFileName)
                                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### setContents

          public static void setContents(ISystemImage pImg,
                                         java.lang.String pDsn,
                                         java.io.InputStream pIs)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### unlock

          public static void unlock(ISavableResource pRes)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`
      See Also:
        `ISavableResource.unlock(IProgressMonitor)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.